<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>ImmutableNode (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ImmutableNode (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ImmutableNode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html" title="interface in org.apache.commons.configuration2.tree"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.Builder.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/ImmutableNode.html" target="_top">Frames</a></li>
<li><a href="ImmutableNode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.tree</div>
<h2 title="Class ImmutableNode" class="title">Class ImmutableNode</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.tree.ImmutableNode</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ImmutableNode</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block"><p>
 An immutable default implementation for configuration nodes.
 </p>
 <p>
 This class is used for an in-memory representation of hierarchical
 configuration data. It stores typical information like a node name, a value,
 child nodes, or attributes.
 </p>
 <p>
 After their creation, instances cannot be manipulated. There are methods for
 updating properties, but these methods return new <code>ImmutableNode</code>
 instances. Instances are created using the nested <code>Builder</code> class.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: ImmutableNode.java 1799980 2017-06-26 20:21:16Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.Builder.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode.Builder</a></span></code>
<div class="block">
 A <em>builder</em> class for creating instances of <code>ImmutableNode</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#addChild-org.apache.commons.configuration2.tree.ImmutableNode-">addChild</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;child)</code>
<div class="block">Creates a new <code>ImmutableNode</code> instance which is a copy of this
 object, but has the given child node added.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#getAttributes--">getAttributes</a></span>()</code>
<div class="block">Returns a map with the attributes of this node.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#getChildren--">getChildren</a></span>()</code>
<div class="block">Returns a list with the children of this node.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#getChildren-java.lang.String-">getChildren</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns a list with the children of this node.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#getNodeName--">getNodeName</a></span>()</code>
<div class="block">Returns the name of this node.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#getValue--">getValue</a></span>()</code>
<div class="block">Returns the value of this node.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#removeAttribute-java.lang.String-">removeAttribute</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with the specified attribute removed.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#removeChild-org.apache.commons.configuration2.tree.ImmutableNode-">removeChild</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;child)</code>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with the given child node removed.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#replaceChild-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-">replaceChild</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;oldChild,
            <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;newChild)</code>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with the given child replaced by the new one.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#replaceChildren-java.util.Collection-">replaceChildren</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;newChildren)</code>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with the children replaced by the ones in the passed in
 collection.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#setAttribute-java.lang.String-java.lang.Object-">setAttribute</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
            <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with the specified attribute set to the given value.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#setAttributes-java.util.Map-">setAttributes</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;newAttributes)</code>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with all attributes added defined by the given map.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#setName-java.lang.String-">setName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Creates a new <code>ImmutableNode</code> instance which is a copy of this
 object with the name changed to the passed in value.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#setValue-java.lang.Object-">setValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</code>
<div class="block">Creates a new <code>ImmutableNode</code> instance which is a copy of this
 object with the value changed to the passed in value.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNodeName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNodeName</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getNodeName()</pre>
<div class="block">Returns the name of this node.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of this node</dd>
</dl>
</li>
</ul>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getValue()</pre>
<div class="block">Returns the value of this node.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of this node</dd>
</dl>
</li>
</ul>
<a name="getChildren--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;getChildren()</pre>
<div class="block">Returns a list with the children of this node. This list cannot be
 modified.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list with the child nodes</dd>
</dl>
</li>
</ul>
<a name="getChildren-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;getChildren(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns a list with the children of this node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the node name to find</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list with the child nodes</dd>
</dl>
</li>
</ul>
<a name="getAttributes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttributes</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getAttributes()</pre>
<div class="block">Returns a map with the attributes of this node. This map cannot be
 modified.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a map with this node's attributes</dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;setName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Creates a new <code>ImmutableNode</code> instance which is a copy of this
 object with the name changed to the passed in value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the newly created node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new node with the changed name</dd>
</dl>
</li>
</ul>
<a name="setValue-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;setValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</pre>
<div class="block">Creates a new <code>ImmutableNode</code> instance which is a copy of this
 object with the value changed to the passed in value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newValue</code> - the value of the newly created node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new node with the changed value</dd>
</dl>
</li>
</ul>
<a name="addChild-org.apache.commons.configuration2.tree.ImmutableNode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addChild</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;addChild(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;child)</pre>
<div class="block">Creates a new <code>ImmutableNode</code> instance which is a copy of this
 object, but has the given child node added.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>child</code> - the child node to be added (must not be <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new node with the child node added</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the child node is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="removeChild-org.apache.commons.configuration2.tree.ImmutableNode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeChild</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;removeChild(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;child)</pre>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with the given child node removed. If the child node does not
 belong to this node, the same node instance is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>child</code> - the child node to be removed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new node with the child node removed</dd>
</dl>
</li>
</ul>
<a name="replaceChild-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>replaceChild</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;replaceChild(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;oldChild,
                                  <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;newChild)</pre>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with the given child replaced by the new one. If the child to
 be replaced cannot be found, the same node instance is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>oldChild</code> - the child node to be replaced</dd>
<dd><code>newChild</code> - the replacing child node (must not be <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new node with the child replaced</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the new child node is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="replaceChildren-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>replaceChildren</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;replaceChildren(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;newChildren)</pre>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with the children replaced by the ones in the passed in
 collection. With this method all children can be replaced in a single
 step. For the collection the same rules apply as for
 <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.Builder.html#addChildren-java.util.Collection-"><code>ImmutableNode.Builder.addChildren(Collection)</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newChildren</code> - the collection with the new children (may be
        <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new node with replaced children</dd>
</dl>
</li>
</ul>
<a name="setAttribute-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAttribute</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;setAttribute(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with the specified attribute set to the given value. If an
 attribute with this name does not exist, it is created now. Otherwise,
 the new value overrides the old one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the attribute</dd>
<dd><code>value</code> - the attribute value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new node with this attribute</dd>
</dl>
</li>
</ul>
<a name="setAttributes-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAttributes</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;setAttributes(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;newAttributes)</pre>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with all attributes added defined by the given map. This
 method is analogous to <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html#setAttribute-java.lang.String-java.lang.Object-"><code>setAttribute(String, Object)</code></a>, but all
 attributes in the given map are added. If the map is <b>null</b> or
 empty, this method has no effect.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newAttributes</code> - the map with attributes to be added</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new node with these attributes</dd>
</dl>
</li>
</ul>
<a name="removeAttribute-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeAttribute</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;removeAttribute(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns a new <code>ImmutableNode</code> instance which is a copy of this
 object, but with the specified attribute removed. If there is no
 attribute with the given name, the same node instance is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the attribute</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new node without this attribute</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ImmutableNode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html" title="interface in org.apache.commons.configuration2.tree"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.Builder.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/ImmutableNode.html" target="_top">Frames</a></li>
<li><a href="ImmutableNode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
